import java.io.*;									 
public class RandomAccessFileDemo								 
{											 
	public static void main(String[] args) 							 
	{
		try										            
		{											 
			BufferedReader inF = new BufferedReader(new InputStreamReader(System.in));	 	
			System.out.print("Enter File name : ");							
			String str = inF.readLine();								
			File file = new File(str);								            
			if(!file.exists())									            
			{										            
				System.out.println("File does not exist.");				  	            
				System.exit(0);									            
			}										             
										            
			RandomAccessFile rndFile = new RandomAccessFile(file,"rw"); 			            
			rndFile.seek(file.length());							            
			rndFile.writeBytes("www.cadcim.com");						            
			rndFile.writeBytes("The random access means to go any location within the file.");           
			rndFile.close();									            
			System.out.println("Write Successfully");					      	            
		}										            
		catch(IOException e)								            
		{										            
			System.out.println(e.getMessage());						            
		}										            
	}										            
}